# Makefile.in generated by automake 1.6.3 from Makefile.am.
# KDE tags expanded automatically by am_edit - $Revision: 1.411 $ 
# @configure_input@

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@
SHELL = @SHELL@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
top_builddir = ..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_DATA = @INSTALL_DATA@
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_HEADER = $(INSTALL_DATA)
transform = @program_transform_name@
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_alias = @build_alias@
build_triplet = @build@
host_alias = @host_alias@
host_triplet = @host@
target_alias = @target_alias@
target_triplet = @target@

EXEEXT = @EXEEXT@
OBJEXT = @OBJEXT@
PATH_SEPARATOR = @PATH_SEPARATOR@
AMTAR = @AMTAR@
AR = @AR@
ARCH_CFLAGS = @ARCH_CFLAGS@
ARTSCCONFIG = @ARTSCCONFIG@
ARTS_LIBS = @ARTS_LIBS@
AS = @AS@
AUTODIRS = @AUTODIRS@
AWK = @AWK@
CC = @CC@
CCAS = @CCAS@
CCASFLAGS = @CCASFLAGS@
CONF_FILES = @CONF_FILES@
CPP = @CPP@
CXX = @CXX@
CXXCPP = @CXXCPP@
DCOPIDL = @DCOPIDL@
DCOPIDL2CPP = @DCOPIDL2CPP@
DCOPIDLNG = @DCOPIDLNG@
DCOP_DEPENDENCIES = @DCOP_DEPENDENCIES@
DEPDIR = @DEPDIR@
DLLTOOL = @DLLTOOL@
DOXYGEN = @DOXYGEN@
DOXYGEN_PROJECT_NAME = @DOXYGEN_PROJECT_NAME@
DOXYGEN_PROJECT_NUMBER = @DOXYGEN_PROJECT_NUMBER@
DPMSINC = @DPMSINC@
DPMSLIB = @DPMSLIB@
ECHO = @ECHO@
EGREP = @EGREP@
F77 = @F77@
FRAMEWORK_COREAUDIO = @FRAMEWORK_COREAUDIO@
GCJ = @GCJ@
GCJFLAGS = @GCJFLAGS@
GLINC = @GLINC@
GLLIB = @GLLIB@
GMSGFMT = @GMSGFMT@
ID3_LIB = @ID3_LIB@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
JAR = @JAR@
JAVAC = @JAVAC@
JAVAH = @JAVAH@
JVMLIBS = @JVMLIBS@
KCFG_DEPENDENCIES = @KCFG_DEPENDENCIES@
KCONFIG_COMPILER = @KCONFIG_COMPILER@
KDECONFIG = @KDECONFIG@
KDE_EXTRA_RPATH = @KDE_EXTRA_RPATH@
KDE_HAS_DOXYGEN = @KDE_HAS_DOXYGEN@
KDE_HAVE_DOT = @KDE_HAVE_DOT@
KDE_INCLUDES = @KDE_INCLUDES@
KDE_LDFLAGS = @KDE_LDFLAGS@
KDE_MT_LDFLAGS = @KDE_MT_LDFLAGS@
KDE_MT_LIBS = @KDE_MT_LIBS@
KDE_NO_UNDEFINED = @KDE_NO_UNDEFINED@
KDE_PLUGIN = @KDE_PLUGIN@
KDE_RPATH = @KDE_RPATH@
KDE_USE_CLOSURE_FALSE = @KDE_USE_CLOSURE_FALSE@
KDE_USE_CLOSURE_TRUE = @KDE_USE_CLOSURE_TRUE@
KDE_USE_FINAL_FALSE = @KDE_USE_FINAL_FALSE@
KDE_USE_FINAL_TRUE = @KDE_USE_FINAL_TRUE@
KDE_USE_NMCHECK_FALSE = @KDE_USE_NMCHECK_FALSE@
KDE_USE_NMCHECK_TRUE = @KDE_USE_NMCHECK_TRUE@
KDE_XSL_STYLESHEET = @KDE_XSL_STYLESHEET@
LEX = @LEX@
LEXLIB = @LEXLIB@
LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
LIBBZ2 = @LIBBZ2@
LIBCOMPAT = @LIBCOMPAT@
LIBCRYPT = @LIBCRYPT@
LIBDL = @LIBDL@
LIBGEN = @LIBGEN@
LIBJPEG = @LIBJPEG@
LIBOBJS = @LIBOBJS@
LIBPNG = @LIBPNG@
LIBPTHREAD = @LIBPTHREAD@
LIBPYTHON = @LIBPYTHON@
LIBQIMGIO = @LIBQIMGIO@
LIBRESOLV = @LIBRESOLV@
LIBSAMPLERATE = @LIBSAMPLERATE@
LIBSHADOW = @LIBSHADOW@
LIBSM = @LIBSM@
LIBSOCKET = @LIBSOCKET@
LIBSSL = @LIBSSL@
LIBTIFF = @LIBTIFF@
LIBTOOL = @LIBTOOL@
LIBUCB = @LIBUCB@
LIBUTIL = @LIBUTIL@
LIBZ = @LIBZ@
LIB_JASPER = @LIB_JASPER@
LIB_KAB = @LIB_KAB@
LIB_KABC = @LIB_KABC@
LIB_KDECORE = @LIB_KDECORE@
LIB_KDEPIM = @LIB_KDEPIM@
LIB_KDEPRINT = @LIB_KDEPRINT@
LIB_KDEUI = @LIB_KDEUI@
LIB_KFILE = @LIB_KFILE@
LIB_KFM = @LIB_KFM@
LIB_KHTML = @LIB_KHTML@
LIB_KIO = @LIB_KIO@
LIB_KPARTS = @LIB_KPARTS@
LIB_KSPELL = @LIB_KSPELL@
LIB_KSYCOCA = @LIB_KSYCOCA@
LIB_KUTILS = @LIB_KUTILS@
LIB_POLL = @LIB_POLL@
LIB_QPE = @LIB_QPE@
LIB_QT = @LIB_QT@
LIB_QTOPIA = @LIB_QTOPIA@
LIB_SMB = @LIB_SMB@
LIB_X11 = @LIB_X11@
LIB_XEXT = @LIB_XEXT@
LIB_XRENDER = @LIB_XRENDER@
LN_S = @LN_S@
MAD_LIB = @MAD_LIB@
MCOPIDL = @MCOPIDL@
MEINPROC = @MEINPROC@
MOC = @MOC@
MSGFMT = @MSGFMT@
NOOPT_CFLAGS = @NOOPT_CFLAGS@
NOOPT_CXXFLAGS = @NOOPT_CXXFLAGS@
OBJC = @OBJC@
OBJCFLAGS = @OBJCFLAGS@
OBJDUMP = @OBJDUMP@
PACKAGE = @PACKAGE@
PAMLIBS = @PAMLIBS@
PASSWDLIBS = @PASSWDLIBS@
PERL = @PERL@
PYTHONINC = @PYTHONINC@
PYTHONLIB = @PYTHONLIB@
PYTHONMODDIR = @PYTHONMODDIR@
QTDOCDIR = @QTDOCDIR@
QTE_NORTTI = @QTE_NORTTI@
QTOPIA_INCLUDES = @QTOPIA_INCLUDES@
QT_INCLUDES = @QT_INCLUDES@
QT_LDFLAGS = @QT_LDFLAGS@
RANLIB = @RANLIB@
RC = @RC@
RESMGR_LIB = @RESMGR_LIB@
SETUIDFLAGS = @SETUIDFLAGS@
SSL_INCLUDES = @SSL_INCLUDES@
SSL_LDFLAGS = @SSL_LDFLAGS@
STRIP = @STRIP@
TOPSUBDIRS = @TOPSUBDIRS@
UIC = @UIC@
UIC_TR = @UIC_TR@
USER_INCLUDES = @USER_INCLUDES@
USER_LDFLAGS = @USER_LDFLAGS@
USE_EXCEPTIONS = @USE_EXCEPTIONS@
USE_RTTI = @USE_RTTI@
USE_THREADS = @USE_THREADS@
VERSION = @VERSION@
WOVERLOADED_VIRTUAL = @WOVERLOADED_VIRTUAL@
XGETTEXT = @XGETTEXT@
XMLLINT = @XMLLINT@
XPMINC = @XPMINC@
XPMLIB = @XPMLIB@
X_EXTRA_LIBS = @X_EXTRA_LIBS@
X_INCLUDES = @X_INCLUDES@
X_LDFLAGS = @X_LDFLAGS@
X_PRE_LIBS = @X_PRE_LIBS@
X_RPATH = @X_RPATH@
all_includes = @all_includes@
all_libraries = @all_libraries@
am__include = @am__include@
am__quote = @am__quote@
install_sh = @install_sh@
jni_includes = @jni_includes@
kde_appsdir = @kde_appsdir@
kde_bindir = @kde_bindir@
kde_confdir = @kde_confdir@
kde_datadir = @kde_datadir@
kde_htmldir = @kde_htmldir@
kde_icondir = @kde_icondir@
kde_includes = @kde_includes@
kde_kcfgdir = @kde_kcfgdir@
kde_libraries = @kde_libraries@
kde_libs_htmldir = @kde_libs_htmldir@
kde_libs_prefix = @kde_libs_prefix@
kde_locale = @kde_locale@
kde_mimedir = @kde_mimedir@
kde_moduledir = @kde_moduledir@
kde_qtver = @kde_qtver@
kde_servicesdir = @kde_servicesdir@
kde_servicetypesdir = @kde_servicetypesdir@
kde_sounddir = @kde_sounddir@
kde_styledir = @kde_styledir@
kde_templatesdir = @kde_templatesdir@
kde_wallpaperdir = @kde_wallpaperdir@
kde_widgetdir = @kde_widgetdir@
kdeinitdir = @kdeinitdir@
qt_includes = @qt_includes@
qt_libraries = @qt_libraries@
x_includes = @x_includes@
x_libraries = @x_libraries@
xdg_appsdir = @xdg_appsdir@
xdg_directorydir = @xdg_directorydir@
xdg_menudir = @xdg_menudir@
@with_k3bsetup1_TRUE@K3BSETUP1_BUILD = k3bsetup

bin_PROGRAMS = k3b

#>- k3b_SOURCES = k3bwelcomewidget.cpp k3bapplication.cpp k3bdiroperator.cpp kdndfileview.cpp k3bfiletreeview.cpp k3bcddbmultientriesdialog.cpp k3baudioplayer.cpp k3bprojecttabbar.cpp k3bprojecttabwidget.cpp k3bsplash.cpp k3bblankingdialog.cpp k3bfileview.cpp k3bdirview.cpp k3btoolbox.cpp k3b.cpp main.cpp k3bstatusbarmanager.cpp k3bfiletreecombobox.cpp k3breadcdreader.cpp k3binterface.cpp k3binterface.skel k3bprojectinterface.cpp k3bprojectinterface.skel k3bsystemproblemdialog.cpp k3bcdcontentsview.cpp k3bwriterspeedverificationdialog.cpp k3bdatatrackreader.cpp
#>+ 1
k3b_SOURCES=k3bwelcomewidget.cpp k3bapplication.cpp k3bdiroperator.cpp kdndfileview.cpp k3bfiletreeview.cpp k3bcddbmultientriesdialog.cpp k3baudioplayer.cpp k3bprojecttabbar.cpp k3bprojecttabwidget.cpp k3bsplash.cpp k3bblankingdialog.cpp k3bfileview.cpp k3bdirview.cpp k3btoolbox.cpp k3b.cpp main.cpp k3bstatusbarmanager.cpp k3bfiletreecombobox.cpp k3breadcdreader.cpp k3binterface.cpp  k3bprojectinterface.cpp  k3bsystemproblemdialog.cpp k3bcdcontentsview.cpp k3bwriterspeedverificationdialog.cpp k3bdatatrackreader.cpp k3binterface_skel.cpp k3bprojectinterface_skel.cpp

k3b_LDADD = ./cdinfo/libcdinfo.la ./option/liboption.la ./rip/librip.la ./cdcopy/libcdcopy.la ./dvdcopy/libdvdcopy.la ./videoEncoding/libvideoEncoding.la ./plugin/libk3bplugin.la $(ARTS_LIBS) -lkio -lkparts ./device/libk3bdevice.la ./core/libk3bcore.la ./tools/libk3btools.la ./projects/libk3bproject.la ./images/libimagewriting.la

SUBDIRS = device core tools plugin projects cddb cdinfo option rip cdcopy images dvdcopy videoEncoding pics icons konqi mimetypes tests audiodecoding audioencoding sounds $(K3BSETUP1_BUILD)

# TODO: enable when we go KDE 3.2
#xdg_apps_DATA = k3b.desktop
# remove the following then
appsdir = $(kde_appsdir)/Multimedia
apps_DATA = k3b.desktop

silent_DATA = k3b-iso.desktop k3b-cue.desktop
silentdir = $(kde_appsdir)/.hidden/

###################
# this 10 paths are KDE specific. Use them:
# kde_htmldir       Where your docs should go to. (contains lang subdirs)
# kde_appsdir       Where your application file (.kdelnk) should go to.
# kde_icondir       Where your icon should go to.
# kde_minidir       Where your mini icon should go to.
# kde_datadir       Where you install application data. (Use a subdir)
# kde_locale        Where translation files should go to.(contains lang subdirs)
# kde_cgidir        Where cgi-bin executables should go to.
# kde_confdir       Where config files should go to.
# kde_mimedir       Where mimetypes should go to.
# kde_toolbardir    Where general toolbar icons should go to.
# kde_wallpaperdir  Where general wallpapers should go to.

# set the include path for X, qt and KDE
AM_CPPFLAGS = -I$(srcdir)/tools -I$(srcdir)/core -I$(srcdir)/device -I$(srcdir)/projects -I$(srcdir)/projects/datacd -I$(srcdir)/projects/datadvd -I$(srcdir)/projects/audiocd -I$(srcdir)/projects/videocd -I$(srcdir)/projects/mixedcd -I$(srcdir)/projects/movixcd -I$(srcdir)/device -I$(srcdir)/plugin $(all_includes)

#>- METASOURCES = AUTO

# the library search path.
k3b_LDFLAGS = $(all_libraries) $(KDE_RPATH)

rcdir = $(kde_datadir)/k3b
rc_DATA = k3bui.rc eventsrc tips
subdir = src
mkinstalldirs = $(SHELL) $(top_srcdir)/admin/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
bin_PROGRAMS = k3b$(EXEEXT)
PROGRAMS = $(bin_PROGRAMS)

am_k3b_OBJECTS = k3bwelcomewidget.$(OBJEXT) k3bapplication.$(OBJEXT) \
	k3bdiroperator.$(OBJEXT) kdndfileview.$(OBJEXT) \
	k3bfiletreeview.$(OBJEXT) k3bcddbmultientriesdialog.$(OBJEXT) \
	k3baudioplayer.$(OBJEXT) k3bprojecttabbar.$(OBJEXT) \
	k3bprojecttabwidget.$(OBJEXT) k3bsplash.$(OBJEXT) \
	k3bblankingdialog.$(OBJEXT) k3bfileview.$(OBJEXT) \
	k3bdirview.$(OBJEXT) k3btoolbox.$(OBJEXT) k3b.$(OBJEXT) \
	main.$(OBJEXT) k3bstatusbarmanager.$(OBJEXT) \
	k3bfiletreecombobox.$(OBJEXT) k3breadcdreader.$(OBJEXT) \
	k3binterface.$(OBJEXT) k3bprojectinterface.$(OBJEXT) \
	k3bsystemproblemdialog.$(OBJEXT) k3bcdcontentsview.$(OBJEXT) \
	k3bwriterspeedverificationdialog.$(OBJEXT) \
	k3bdatatrackreader.$(OBJEXT)
#>- k3b_OBJECTS = $(am_k3b_OBJECTS)
#>+ 16
k3b_final_OBJECTS = k3b.all_cpp.o 
k3b_nofinal_OBJECTS = k3bwelcomewidget.$(OBJEXT) k3bapplication.$(OBJEXT) \
	k3bdiroperator.$(OBJEXT) kdndfileview.$(OBJEXT) \
	k3bfiletreeview.$(OBJEXT) k3bcddbmultientriesdialog.$(OBJEXT) \
	k3baudioplayer.$(OBJEXT) k3bprojecttabbar.$(OBJEXT) \
	k3bprojecttabwidget.$(OBJEXT) k3bsplash.$(OBJEXT) \
	k3bblankingdialog.$(OBJEXT) k3bfileview.$(OBJEXT) \
	k3bdirview.$(OBJEXT) k3btoolbox.$(OBJEXT) k3b.$(OBJEXT) \
	main.$(OBJEXT) k3bstatusbarmanager.$(OBJEXT) \
	k3bfiletreecombobox.$(OBJEXT) k3breadcdreader.$(OBJEXT) \
	k3binterface.$(OBJEXT) k3bprojectinterface.$(OBJEXT) \
	k3bsystemproblemdialog.$(OBJEXT) k3bcdcontentsview.$(OBJEXT) \
	k3bwriterspeedverificationdialog.$(OBJEXT) \
	k3bdatatrackreader.$(OBJEXT) k3binterface_skel.$(OBJEXT) k3bprojectinterface_skel.$(OBJEXT)
@KDE_USE_FINAL_FALSE@k3b_OBJECTS = $(k3b_nofinal_OBJECTS)
@KDE_USE_FINAL_TRUE@k3b_OBJECTS = $(k3b_final_OBJECTS)
k3b_DEPENDENCIES = ./cdinfo/libcdinfo.la ./option/liboption.la \
	./rip/librip.la ./cdcopy/libcdcopy.la ./dvdcopy/libdvdcopy.la \
	./videoEncoding/libvideoEncoding.la ./plugin/libk3bplugin.la \
	./device/libk3bdevice.la ./core/libk3bcore.la \
	./tools/libk3btools.la ./projects/libk3bproject.la \
	./images/libimagewriting.la

DEFS = @DEFS@
DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
CPPFLAGS = @CPPFLAGS@
LDFLAGS = @LDFLAGS@
LIBS = @LIBS@
depcomp = $(SHELL) $(top_srcdir)/admin/depcomp
am__depfiles_maybe = depfiles
#>- @AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/k3b.Po ./$(DEPDIR)/k3bapplication.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/k3baudioplayer.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/k3bblankingdialog.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/k3bcdcontentsview.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/k3bcddbmultientriesdialog.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/k3bdatatrackreader.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/k3bdiroperator.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/k3bdirview.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/k3bfiletreecombobox.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/k3bfiletreeview.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/k3bfileview.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/k3binterface.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/k3bprojectinterface.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/k3bprojecttabbar.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/k3bprojecttabwidget.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/k3breadcdreader.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/k3bsplash.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/k3bstatusbarmanager.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/k3bsystemproblemdialog.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/k3btoolbox.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/k3bwelcomewidget.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/k3bwriterspeedverificationdialog.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kdndfileview.Po ./$(DEPDIR)/main.Po
#>+ 46
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@DEP_FILES =  $(DEPDIR)/k3binterface_skel.P $(DEPDIR)/k3bprojectinterface_skel.P  $(DEPDIR)/k3b.all_cpp.P ./$(DEPDIR)/k3b.Po ./$(DEPDIR)/k3bapplication.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/k3baudioplayer.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bblankingdialog.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bcdcontentsview.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bcddbmultientriesdialog.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bdatatrackreader.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bdiroperator.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bdirview.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bfiletreecombobox.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bfiletreeview.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bfileview.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/k3binterface.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bprojectinterface.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bprojecttabbar.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bprojecttabwidget.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/k3breadcdreader.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bsplash.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bstatusbarmanager.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bsystemproblemdialog.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/k3btoolbox.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bwelcomewidget.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bwriterspeedverificationdialog.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kdndfileview.Po ./$(DEPDIR)/main.Po
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@DEP_FILES =  $(DEPDIR)/k3binterface_skel.P $(DEPDIR)/k3bprojectinterface_skel.P ./$(DEPDIR)/k3b.Po ./$(DEPDIR)/k3bapplication.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/k3baudioplayer.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bblankingdialog.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bcdcontentsview.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bcddbmultientriesdialog.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bdatatrackreader.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bdiroperator.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bdirview.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bfiletreecombobox.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bfiletreeview.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bfileview.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/k3binterface.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bprojectinterface.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bprojecttabbar.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bprojecttabwidget.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/k3breadcdreader.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bsplash.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bstatusbarmanager.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bsystemproblemdialog.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/k3btoolbox.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bwelcomewidget.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bwriterspeedverificationdialog.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kdndfileview.Po ./$(DEPDIR)/main.Po
#>- CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
#>- 	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 2
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
#>- LTCXXCOMPILE = $(LIBTOOL) --mode=compile $(CXX) $(DEFS) \
#>- 	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
#>- 	$(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 3
LTCXXCOMPILE = $(LIBTOOL) --mode=compile --tag=CXX $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
CXXLD = $(CXX)
#>- CXXLINK = $(LIBTOOL) --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) \
#>- 	$(AM_LDFLAGS) $(LDFLAGS) -o $@
#>+ 2
CXXLINK = $(LIBTOOL) --mode=link --tag=CXX $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
CXXFLAGS = @CXXFLAGS@
DIST_SOURCES = $(k3b_SOURCES)
DATA = $(apps_DATA) $(rc_DATA) $(silent_DATA)


#>- RECURSIVE_TARGETS = info-recursive dvi-recursive install-info-recursive \
#>- 	uninstall-info-recursive all-recursive install-data-recursive \
#>- 	install-exec-recursive installdirs-recursive install-recursive \
#>- 	uninstall-recursive check-recursive installcheck-recursive
#>+ 4
RECURSIVE_TARGETS = info-recursive dvi-recursive install-info-recursive \
	uninstall-info-recursive all-recursive install-data-recursive \
	install-exec-recursive installdirs-recursive install-recursive \
	uninstall-recursive check-recursive installcheck-recursive nmcheck-recursive bcheck-recursive
DIST_COMMON = Makefile.am Makefile.in
DIST_SUBDIRS = device core tools plugin projects cddb cdinfo option rip \
	cdcopy images dvdcopy videoEncoding pics icons konqi mimetypes \
	tests audiodecoding audioencoding sounds k3bsetup
SOURCES = $(k3b_SOURCES)

#>- all: all-recursive
#>+ 1
all: docs-am  all-recursive

.SUFFIXES:
.SUFFIXES: .cpp .lo .o .obj
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
#>- 	cd $(top_srcdir) && \
#>- 	  $(AUTOMAKE) --gnu  src/Makefile
#>+ 3
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  src/Makefile
	cd $(top_srcdir) && perl admin/am_edit src/Makefile.in
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  if test -f $$p \
	     || test -f $$p1 \
	  ; then \
	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
	   echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(binPROGRAMS_INSTALL) $$p $(DESTDIR)$(bindir)/$$f"; \
	   $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(binPROGRAMS_INSTALL) $$p $(DESTDIR)$(bindir)/$$f; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
	  echo " rm -f $(DESTDIR)$(bindir)/$$f"; \
	  rm -f $(DESTDIR)$(bindir)/$$f; \
	done

clean-binPROGRAMS:
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  echo " rm -f $$p $$f"; \
	  rm -f $$p $$f ; \
	done
k3b$(EXEEXT): $(k3b_OBJECTS) $(k3b_DEPENDENCIES) 
	@rm -f k3b$(EXEEXT)
	$(CXXLINK) $(k3b_LDFLAGS) $(k3b_OBJECTS) $(k3b_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/k3b.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/k3bapplication.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/k3baudioplayer.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/k3bblankingdialog.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/k3bcdcontentsview.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/k3bcddbmultientriesdialog.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/k3bdatatrackreader.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/k3bdiroperator.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/k3bdirview.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/k3bfiletreecombobox.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/k3bfiletreeview.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/k3bfileview.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/k3binterface.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/k3bprojectinterface.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/k3bprojecttabbar.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/k3bprojecttabwidget.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/k3breadcdreader.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/k3bsplash.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/k3bstatusbarmanager.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/k3bsystemproblemdialog.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/k3btoolbox.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/k3bwelcomewidget.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/k3bwriterspeedverificationdialog.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kdndfileview.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/main.Po@am__quote@

distclean-depend:
	-rm -rf ./$(DEPDIR)

.cpp.o:
@AMDEP_TRUE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(CXXCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

.cpp.obj:
@AMDEP_TRUE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(CXXCOMPILE) -c -o $@ `cygpath -w $<`

.cpp.lo:
@AMDEP_TRUE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(LTCXXCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<
CXXDEPMODE = @CXXDEPMODE@

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
appsDATA_INSTALL = $(INSTALL_DATA)
install-appsDATA: $(apps_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(appsdir)
	@list='$(apps_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(appsDATA_INSTALL) $$d$$p $(DESTDIR)$(appsdir)/$$f"; \
	  $(appsDATA_INSTALL) $$d$$p $(DESTDIR)$(appsdir)/$$f; \
	done

uninstall-appsDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(apps_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(appsdir)/$$f"; \
	  rm -f $(DESTDIR)$(appsdir)/$$f; \
	done
rcDATA_INSTALL = $(INSTALL_DATA)
install-rcDATA: $(rc_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(rcdir)
	@list='$(rc_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(rcDATA_INSTALL) $$d$$p $(DESTDIR)$(rcdir)/$$f"; \
	  $(rcDATA_INSTALL) $$d$$p $(DESTDIR)$(rcdir)/$$f; \
	done

uninstall-rcDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(rc_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(rcdir)/$$f"; \
	  rm -f $(DESTDIR)$(rcdir)/$$f; \
	done
silentDATA_INSTALL = $(INSTALL_DATA)
install-silentDATA: $(silent_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(silentdir)
	@list='$(silent_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(silentDATA_INSTALL) $$d$$p $(DESTDIR)$(silentdir)/$$f"; \
	  $(silentDATA_INSTALL) $$d$$p $(DESTDIR)$(silentdir)/$$f; \
	done

uninstall-silentDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(silent_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(silentdir)/$$f"; \
	  rm -f $(DESTDIR)$(silentdir)/$$f; \
	done

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done

ETAGS = etags
ETAGSFLAGS =

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique

TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test -f $$subdir/TAGS && tags="$$tags -i $$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \
	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH
#>- DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
#>+ 1
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST) $(KDE_DIST)

top_distdir = ..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	@list='$(DISTFILES)'; for file in $$list; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkinstalldirs) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test -d $(distdir)/$$subdir \
	    || mkdir $(distdir)/$$subdir \
	    || exit 1; \
	    (cd $$subdir && \
	      $(MAKE) $(AM_MAKEFLAGS) \
	        top_distdir="$(top_distdir)" \
	        distdir=../$(distdir)/$$subdir \
	        distdir) \
	      || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-recursive
all-am: Makefile $(PROGRAMS) $(DATA)
installdirs: installdirs-recursive
installdirs-am:
	$(mkinstalldirs) $(DESTDIR)$(bindir) $(DESTDIR)$(appsdir) $(DESTDIR)$(rcdir) $(DESTDIR)$(silentdir)

install: install-recursive
install-exec: install-exec-recursive
install-data: install-data-recursive
uninstall: uninstall-recursive

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-recursive
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
#>- clean: clean-recursive
#>+ 1
clean: kde-rpo-clean  clean-recursive

#>- clean-am: clean-binPROGRAMS clean-generic clean-libtool mostlyclean-am
#>+ 1
clean-am: clean-metasources clean-idl clean-bcheck clean-final  clean-binPROGRAMS clean-generic clean-libtool mostlyclean-am

distclean: distclean-recursive

distclean-am: clean-am distclean-compile distclean-depend \
	distclean-generic distclean-libtool distclean-tags

dvi: dvi-recursive

dvi-am:

info: info-recursive

info-am:

install-data-am: install-appsDATA install-rcDATA install-silentDATA

install-exec-am: install-binPROGRAMS

install-info: install-info-recursive

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-recursive

maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-recursive

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

uninstall-am: uninstall-appsDATA uninstall-binPROGRAMS uninstall-info-am \
	uninstall-rcDATA uninstall-silentDATA

uninstall-info: uninstall-info-recursive

.PHONY: $(RECURSIVE_TARGETS) GTAGS all all-am check check-am clean \
	clean-binPROGRAMS clean-generic clean-libtool clean-recursive \
	distclean distclean-compile distclean-depend distclean-generic \
	distclean-libtool distclean-recursive distclean-tags distdir \
	dvi dvi-am dvi-recursive info info-am info-recursive install \
	install-am install-appsDATA install-binPROGRAMS install-data \
	install-data-am install-data-recursive install-exec \
	install-exec-am install-exec-recursive install-info \
	install-info-am install-info-recursive install-man \
	install-rcDATA install-recursive install-silentDATA \
	install-strip installcheck installcheck-am installdirs \
	installdirs-am installdirs-recursive maintainer-clean \
	maintainer-clean-generic maintainer-clean-recursive mostlyclean \
	mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
	mostlyclean-recursive tags tags-recursive uninstall \
	uninstall-am uninstall-appsDATA uninstall-binPROGRAMS \
	uninstall-info-am uninstall-info-recursive uninstall-rcDATA \
	uninstall-recursive uninstall-silentDATA


messages: rc.cpp
	$(EXTRACTRC) `find . -name "*.rc" -o -name "*.ui"` > rc.cpp
	$(PREPARETIPS) tips > tips.cpp
	LIST=`find . -name \*.h -o -name \*.hh -o -name \*.H -o -name \*.hxx -o -name \*.hpp -o -name \*.cpp -o -name \*.cc -o -name \*.cxx -o -name \*.ecpp -o -name \*.C`; \
	if test -n "$$LIST"; then \
		 $(XGETTEXT) $$LIST -o $(podir)/k3b.pot; \
	fi
	rm -f tips.cpp 
	rm -f rc.cpp
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

#>+ 9
k3binterface.kidl: $(srcdir)/k3binterface.h $(DCOP_DEPENDENCIES)
	$(DCOPIDL) $(srcdir)/k3binterface.h > k3binterface.kidl || ( rm -f k3binterface.kidl ; false )
k3binterface_skel.cpp: k3binterface.kidl
	$(DCOPIDL2CPP) --c++-suffix cpp --no-signals --no-stub k3binterface.kidl
k3bprojectinterface.kidl: $(srcdir)/k3bprojectinterface.h $(DCOP_DEPENDENCIES)
	$(DCOPIDL) $(srcdir)/k3bprojectinterface.h > k3bprojectinterface.kidl || ( rm -f k3bprojectinterface.kidl ; false )
k3bprojectinterface_skel.cpp: k3bprojectinterface.kidl
	$(DCOPIDL2CPP) --c++-suffix cpp --no-signals --no-stub k3bprojectinterface.kidl

#>+ 3
k3bsplash.moc: $(srcdir)/k3bsplash.h
	$(MOC) $(srcdir)/k3bsplash.h -o k3bsplash.moc

#>+ 2
mocs: k3bsplash.moc

#>+ 3
k3breadcdreader.moc: $(srcdir)/k3breadcdreader.h
	$(MOC) $(srcdir)/k3breadcdreader.h -o k3breadcdreader.moc

#>+ 2
mocs: k3breadcdreader.moc

#>+ 3
k3bprojecttabwidget.moc: $(srcdir)/k3bprojecttabwidget.h
	$(MOC) $(srcdir)/k3bprojecttabwidget.h -o k3bprojecttabwidget.moc

#>+ 2
mocs: k3bprojecttabwidget.moc

#>+ 3
k3bsystemproblemdialog.moc: $(srcdir)/k3bsystemproblemdialog.h
	$(MOC) $(srcdir)/k3bsystemproblemdialog.h -o k3bsystemproblemdialog.moc

#>+ 2
mocs: k3bsystemproblemdialog.moc

#>+ 3
k3bwriterspeedverificationdialog.moc: $(srcdir)/k3bwriterspeedverificationdialog.h
	$(MOC) $(srcdir)/k3bwriterspeedverificationdialog.h -o k3bwriterspeedverificationdialog.moc

#>+ 2
mocs: k3bwriterspeedverificationdialog.moc

#>+ 3
k3bdirview.moc: $(srcdir)/k3bdirview.h
	$(MOC) $(srcdir)/k3bdirview.h -o k3bdirview.moc

#>+ 2
mocs: k3bdirview.moc

#>+ 3
k3bfiletreecombobox.moc: $(srcdir)/k3bfiletreecombobox.h
	$(MOC) $(srcdir)/k3bfiletreecombobox.h -o k3bfiletreecombobox.moc

#>+ 2
mocs: k3bfiletreecombobox.moc

#>+ 3
k3bdiroperator.moc: $(srcdir)/k3bdiroperator.h
	$(MOC) $(srcdir)/k3bdiroperator.h -o k3bdiroperator.moc

#>+ 2
mocs: k3bdiroperator.moc

#>+ 3
k3bwelcomewidget.moc: $(srcdir)/k3bwelcomewidget.h
	$(MOC) $(srcdir)/k3bwelcomewidget.h -o k3bwelcomewidget.moc

#>+ 2
mocs: k3bwelcomewidget.moc

#>+ 3
k3bstatusbarmanager.moc: $(srcdir)/k3bstatusbarmanager.h
	$(MOC) $(srcdir)/k3bstatusbarmanager.h -o k3bstatusbarmanager.moc

#>+ 2
mocs: k3bstatusbarmanager.moc

#>+ 3
k3bapplication.moc: $(srcdir)/k3bapplication.h
	$(MOC) $(srcdir)/k3bapplication.h -o k3bapplication.moc

#>+ 2
mocs: k3bapplication.moc

#>+ 3
k3bblankingdialog.moc: $(srcdir)/k3bblankingdialog.h
	$(MOC) $(srcdir)/k3bblankingdialog.h -o k3bblankingdialog.moc

#>+ 2
mocs: k3bblankingdialog.moc

#>+ 3
k3bcdcontentsview.moc: $(srcdir)/k3bcdcontentsview.h
	$(MOC) $(srcdir)/k3bcdcontentsview.h -o k3bcdcontentsview.moc

#>+ 2
mocs: k3bcdcontentsview.moc

#>+ 3
k3b.moc: $(srcdir)/k3b.h
	$(MOC) $(srcdir)/k3b.h -o k3b.moc

#>+ 2
mocs: k3b.moc

#>+ 3
k3baudioplayer.moc: $(srcdir)/k3baudioplayer.h
	$(MOC) $(srcdir)/k3baudioplayer.h -o k3baudioplayer.moc

#>+ 2
mocs: k3baudioplayer.moc

#>+ 3
k3bfileview.moc: $(srcdir)/k3bfileview.h
	$(MOC) $(srcdir)/k3bfileview.h -o k3bfileview.moc

#>+ 2
mocs: k3bfileview.moc

#>+ 3
k3bfiletreeview.moc: $(srcdir)/k3bfiletreeview.h
	$(MOC) $(srcdir)/k3bfiletreeview.h -o k3bfiletreeview.moc

#>+ 2
mocs: k3bfiletreeview.moc

#>+ 3
k3bprojecttabbar.moc: $(srcdir)/k3bprojecttabbar.h
	$(MOC) $(srcdir)/k3bprojecttabbar.h -o k3bprojecttabbar.moc

#>+ 2
mocs: k3bprojecttabbar.moc

#>+ 3
kdndfileview.moc: $(srcdir)/kdndfileview.h
	$(MOC) $(srcdir)/kdndfileview.h -o kdndfileview.moc

#>+ 2
mocs: kdndfileview.moc

#>+ 3
k3btoolbox.moc: $(srcdir)/k3btoolbox.h
	$(MOC) $(srcdir)/k3btoolbox.h -o k3btoolbox.moc

#>+ 2
mocs: k3btoolbox.moc

#>+ 3
k3bcddbmultientriesdialog.moc: $(srcdir)/k3bcddbmultientriesdialog.h
	$(MOC) $(srcdir)/k3bcddbmultientriesdialog.h -o k3bcddbmultientriesdialog.moc

#>+ 2
mocs: k3bcddbmultientriesdialog.moc

#>+ 3
clean-metasources:
	-rm -f  k3bsplash.moc k3breadcdreader.moc k3bprojecttabwidget.moc k3bsystemproblemdialog.moc k3bwriterspeedverificationdialog.moc k3bdirview.moc k3bfiletreecombobox.moc k3bdiroperator.moc k3bwelcomewidget.moc k3bstatusbarmanager.moc k3bapplication.moc k3bblankingdialog.moc k3bcdcontentsview.moc k3b.moc k3baudioplayer.moc k3bfileview.moc k3bfiletreeview.moc k3bprojecttabbar.moc kdndfileview.moc k3btoolbox.moc k3bcddbmultientriesdialog.moc

#>+ 2
KDE_DIST=k3baudioplayer.h k3bwriterspeedverificationdialog.h k3b.desktop IDEAS k3bfiletreecombobox.h k3bcddbmultientriesdialog.h k3bdatatrackreader.h k3bsystemproblemdialog.h k3bcdcontentsview.h k3bui.rc k3bprojecttabbar.h k3b.h k3bdiroperator.h k3bstatusbarmanager.h k3binterface.h eventsrc k3bfiletreeview.h k3breadcdreader.h k3bapplication.h k3b-iso.desktop k3bprojectinterface.h k3btoolbox.h k3bprojecttabwidget.h k3bwelcomewidget.h tips kdndfileview.h sourceheader k3bblankingdialog.h k3bfileview.h k3bdirview.h k3b-cue.desktop k3bsplash.h 

#>+ 5
clean-idl:
	-rm -f \
	k3binterface_skel.cpp k3binterface_skel.h k3binterface.kidl \
	k3bprojectinterface_skel.cpp k3bprojectinterface_skel.h k3bprojectinterface.kidl 

#>+ 2
docs-am:

#>+ 6
force-reedit:
		cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  src/Makefile
	cd $(top_srcdir) && perl admin/am_edit src/Makefile.in


#>+ 21
clean-bcheck: 
	rm -f *.bchecktest.cc *.bchecktest.cc.class a.out

bcheck: bcheck-recursive

bcheck-am:
	@for i in ; do \
	    if test $(srcdir)/$$i -nt $$i.bchecktest.cc; then \
	        echo "int main() {return 0;}" > $$i.bchecktest.cc ; \
	        echo "#include \"$$i\"" >> $$i.bchecktest.cc ; \
	        echo "$$i"; \
	        if ! $(CXXCOMPILE)  --dump-class-hierarchy -c $$i.bchecktest.cc; then \
	            rm -f $$i.bchecktest.cc; exit 1; \
	        fi ; \
	        echo "" >> $$i.bchecktest.cc.class; \
	        perl $(top_srcdir)/admin/bcheck.pl $$i.bchecktest.cc.class || { rm -f $$i.bchecktest.cc; exit 1; }; \
	        rm -f a.out; \
	    fi ; \
	done


#>+ 11
k3b.all_cpp.cpp: $(srcdir)/Makefile.in $(srcdir)/k3bwelcomewidget.cpp $(srcdir)/k3bapplication.cpp $(srcdir)/k3bdiroperator.cpp $(srcdir)/kdndfileview.cpp $(srcdir)/k3bfiletreeview.cpp $(srcdir)/k3bcddbmultientriesdialog.cpp $(srcdir)/k3baudioplayer.cpp $(srcdir)/k3bprojecttabbar.cpp $(srcdir)/k3bprojecttabwidget.cpp $(srcdir)/k3bsplash.cpp $(srcdir)/k3bblankingdialog.cpp $(srcdir)/k3bfileview.cpp $(srcdir)/k3bdirview.cpp $(srcdir)/k3btoolbox.cpp $(srcdir)/k3b.cpp $(srcdir)/main.cpp $(srcdir)/k3bstatusbarmanager.cpp $(srcdir)/k3bfiletreecombobox.cpp $(srcdir)/k3breadcdreader.cpp $(srcdir)/k3binterface.cpp $(srcdir)/k3bprojectinterface.cpp $(srcdir)/k3bsystemproblemdialog.cpp $(srcdir)/k3bcdcontentsview.cpp $(srcdir)/k3bwriterspeedverificationdialog.cpp $(srcdir)/k3bdatatrackreader.cpp k3binterface_skel.cpp k3bprojectinterface_skel.cpp  k3breadcdreader.moc k3bsplash.moc k3bprojecttabwidget.moc k3bsystemproblemdialog.moc k3bwriterspeedverificationdialog.moc k3bdirview.moc k3bfiletreecombobox.moc k3bdiroperator.moc k3bwelcomewidget.moc k3bstatusbarmanager.moc k3bapplication.moc k3bblankingdialog.moc k3bcdcontentsview.moc k3b.moc k3baudioplayer.moc k3bfileview.moc k3btoolbox.moc kdndfileview.moc k3bprojecttabbar.moc k3bfiletreeview.moc k3bcddbmultientriesdialog.moc
	@echo 'creating k3b.all_cpp.cpp ...'; \
	rm -f k3b.all_cpp.files k3b.all_cpp.final; \
	echo "#define KDE_USE_FINAL 1" >> k3b.all_cpp.final; \
	for file in k3bwelcomewidget.cpp k3bapplication.cpp k3bdiroperator.cpp kdndfileview.cpp k3bfiletreeview.cpp k3bcddbmultientriesdialog.cpp k3baudioplayer.cpp k3bprojecttabbar.cpp k3bprojecttabwidget.cpp k3bsplash.cpp k3bblankingdialog.cpp k3bfileview.cpp k3bdirview.cpp k3btoolbox.cpp k3b.cpp main.cpp k3bstatusbarmanager.cpp k3bfiletreecombobox.cpp k3breadcdreader.cpp k3binterface.cpp k3bprojectinterface.cpp k3bsystemproblemdialog.cpp k3bcdcontentsview.cpp k3bwriterspeedverificationdialog.cpp k3bdatatrackreader.cpp k3binterface_skel.cpp k3bprojectinterface_skel.cpp ; do \
	  echo "#include \"$$file\"" >> k3b.all_cpp.files; \
	  test ! -f $(srcdir)/$$file || egrep '^#pragma +implementation' $(srcdir)/$$file >> k3b.all_cpp.final; \
	done; \
	cat k3b.all_cpp.final k3b.all_cpp.files > k3b.all_cpp.cpp; \
	rm -f k3b.all_cpp.final k3b.all_cpp.files

#>+ 3
clean-final:
	-rm -f k3b.all_cpp.cpp

#>+ 3
final:
	$(MAKE) k3b_OBJECTS="$(k3b_final_OBJECTS)" all-am

#>+ 3
final-install:
	$(MAKE) k3b_OBJECTS="$(k3b_final_OBJECTS)" install-am

#>+ 3
no-final:
	$(MAKE) k3b_OBJECTS="$(k3b_nofinal_OBJECTS)" all-am

#>+ 3
no-final-install:
	$(MAKE) k3b_OBJECTS="$(k3b_nofinal_OBJECTS)" install-am

#>+ 3
cvs-clean:
	$(MAKE) admindir=$(top_srcdir)/admin -f $(top_srcdir)/admin/Makefile.common cvs-clean

#>+ 3
kde-rpo-clean:
	-rm -f *.rpo

#>+ 45
k3bprojecttabwidget.lo: k3bprojecttabwidget.moc 
k3bcddbmultientriesdialog.o: k3bcddbmultientriesdialog.moc 
k3b.lo: k3b.moc 
k3bwelcomewidget.o: k3bwelcomewidget.moc 
k3bapplication.lo: k3bapplication.moc 
k3bblankingdialog.o: k3bblankingdialog.moc 
k3bfiletreeview.lo: k3bfiletreeview.moc 
k3bdirview.lo: k3bdirview.moc 
k3bsplash.lo: k3bsplash.moc 
kdndfileview.lo: kdndfileview.moc 
k3bfileview.lo: k3bfileview.moc 
k3btoolbox.o: k3btoolbox.moc 
k3bprojecttabwidget.o: k3bprojecttabwidget.moc 
k3bsystemproblemdialog.o: k3bsystemproblemdialog.moc 
k3bstatusbarmanager.o: k3bstatusbarmanager.moc 
k3baudioplayer.lo: k3baudioplayer.moc 
k3b.o: k3b.moc 
k3bcdcontentsview.lo: k3bcdcontentsview.moc 
nmcheck-am: nmcheck
k3bprojecttabbar.o: k3bprojecttabbar.moc 
k3bsplash.o: k3bsplash.moc 
k3bdiroperator.o: k3bdiroperator.moc 
k3bblankingdialog.lo: k3bblankingdialog.moc 
k3bwriterspeedverificationdialog.lo: k3bwriterspeedverificationdialog.moc 
k3bdiroperator.lo: k3bdiroperator.moc 
k3baudioplayer.o: k3baudioplayer.moc 
k3bfiletreeview.o: k3bfiletreeview.moc 
k3bsystemproblemdialog.lo: k3bsystemproblemdialog.moc 
k3bwelcomewidget.lo: k3bwelcomewidget.moc 
k3bfileview.o: k3bfileview.moc 
k3breadcdreader.lo: k3breadcdreader.moc 
k3bapplication.o: k3bapplication.moc 
k3bfiletreecombobox.o: k3bfiletreecombobox.moc 
k3bfiletreecombobox.lo: k3bfiletreecombobox.moc 
k3breadcdreader.o: k3breadcdreader.moc 
k3btoolbox.lo: k3btoolbox.moc 
nmcheck: 
k3bprojecttabbar.lo: k3bprojecttabbar.moc 
k3bcdcontentsview.o: k3bcdcontentsview.moc 
k3bstatusbarmanager.lo: k3bstatusbarmanager.moc 
k3bwriterspeedverificationdialog.o: k3bwriterspeedverificationdialog.moc 
kdndfileview.o: kdndfileview.moc 
k3bcddbmultientriesdialog.lo: k3bcddbmultientriesdialog.moc 
k3bdirview.o: k3bdirview.moc 
